/*
 * Copyright (c) 2004,2005 by Sun Microsystems, Inc.
 * All rights reserved.
 */

#ifndef __SYS_SUNMEDIA_TYPES_H
#define __SYS_SUNMEDIA_TYPES_H

#pragma ident	"@(#)sunmedia_types.h 1.5 06/08/13"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct __m64_ {
	unsigned long long l_;
} __m64;

struct __m128i_;
#pragma struct_align 16 ( __m128i_ )
typedef struct __m128i_ {
	unsigned long long ll_[2];
} __m128i;

struct __m128_;
#pragma struct_align 16 ( __m128_ )
typedef struct __m128_ {
	float f_[4];
} __m128;

struct __m128d_;
#pragma struct_align 16 ( __m128d_ )
typedef struct __m128d_ {
	double d_[2];
} __m128d;

#ifdef __cplusplus
}
#endif

#endif
